Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class NeoResourceManagementImpl

`java.lang.Object
oracle.ovs.api.NeoResourceManagementImpl`

All Implemented Interfaces:
  NeoResourceManagement

      public class NeoResourceManagementImpl

extends java.lang.Object
implements NeoResourceManagement

ResourceManagement Implementation

Field Summary
`protected static java.lang.String` | `ISO_POOL`
`protected static java.util.logging.Logger` | `log`
`protected static java.lang.String` | `RUNNING_POOL`
`protected static java.lang.String` | `SEED_POOL`
`protected static java.lang.String` | `SHAREDDISK`

Constructor Summary
`NeoResourceManagementImpl()`

Method Summary
`ISOResource` | `approveISO(java.lang.Long isoResourceId)` Approve pending iso resource
`VirtualMachineTemplate` | `ApproveTemplate(java.lang.Long templateResourceId)`
`VirtualMachineImage` | `ApproveVMImage(java.lang.Long VMResourceId)`
`void` | `cancelExternalISO(java.lang.Long isoResourceId)` Cancel an importing external iso resource
`void` | `cancelExternalVirtualMachineImage(java.lang.Long imageId)` Cancel an importing external virtual machine image
`void` | `cancelExternalVirtualMachineTemplate(java.lang.Long templateId)` Cancel an importing external virtual machine template
`void` | `deleteISO(java.lang.Long isoResourceID)` Deletes the ISO from server pool (physically also)
`void` | `deleteSharedDisk(java.lang.Long sharedDiskResourceID)` Deletes the Shared Disk from server pool (physically also)
`void` | `deleteTemplate(java.lang.Long templateResourceId)` Deletes the template from server pool (physically also)
`void` | `deleteVMResource(java.lang.Long vmResourceId)` Delete virtual machine image
`void` | `downloadBinary(ServerPool serverPool, oracle.ovs.biz.util.OvmUrl binaryUrl, java.lang.String localFilePath, ProxyServer proxyServer)` download external resource
`void` | `downloadResource(ServerPool serverPool, ResourceType resType, oracle.ovs.biz.util.OvmUrl srcUrl, ProxyServer proxyServer)` Download resource from an external location to a server pool.
`void` | `downloadResource(ServerPool serverPool, java.lang.String resName, java.lang.String groupName, ExternalResource externalResource)`
`void` | `downloadResourceDirectory(ServerPool serverPool, ResourceType resType, oracle.ovs.biz.util.OvmUrl srcUrl, ProxyServer proxyServer)` Download resource from an external location to a server pool.
`void` | `extractTemplateBinary(ServerPool svr_pool, java.lang.String resourceLocation, java.lang.String fileLocation)` Extract the bundle to seed pool
`java.util.Map` | `freespace_validator(ServerPool svr_pool, int size)` validator for free disk space for all repositories.
`java.util.Map` | `freespace_validator(ServerPool svr_pool, java.lang.String vmPath, int size)` validator for free disk space for the repository where one vm locates
`DiscoveredISO[]` | `getAllDiscoverableISO(ServerPool svr_pool)` Get unregistered iso files in one server pool
`DiscoveredVirtualMachineTemplate[]` | `getAllDiscoverableTemplates(ServerPool svr_pool)` Get unregistered virtual machine templates in one server pool
`DiscoveredVirtualMachineImage[]` | `getAllDiscoverableVMs(ServerPool serverPool)` Get unregistered virtual machine images in one server pool
`VirtualMachineImage[]` | `getAllImg(ServerPool svr_pool)`
`java.lang.String[]` | `getAllISOGroups(ServerPool serverPool)` Get registered iso resource groups in one server pool
`ISOResource[]` | `getAllISOResources(ServerPool svr_pool)` Get all registered iso resources in one server pool
`SharedVirtualDisk[]` | `getAllSharedDiskResources(ServerPool svr_pool)` Get all registered shared virtual disks
`VirtualMachineTemplate[]` | `getAllTemplateResources(ServerPool svr_pool)` Get all registered virtual machine templates
`VirtualMachineImage[]` | `getAllVMResources(ServerPool svr_pool)` Get all registered virtual machine images
`java.lang.String` | `getImportType(ServerPool serverPool, java.lang.String vmPath)` return ovm or v2v type
`ISOResource` | `getISOResource(java.lang.Long isoResourceID)` Get registered iso resource by id
`ISOResource` | `getISOResourceByGroupNameAndISOFileName(ServerPool sp, java.lang.String groupName, java.lang.String isoFileName)`
`ISOResource` | `getISOResourceByGroupNameAndISOName(ServerPool sp, java.lang.String groupName, java.lang.String isoName)` Get iso resource by iso group name and iso label name
`ISOResource` | `getISOResourceByName(ServerPool svr_pool, java.lang.String name)` Returns the ISO resource instance, given the display name.
`ISOResource[]` | `getISOResourcesByGroupName(ServerPool sp, java.lang.String groupName)` Get all registered iso resources in a group of one server pool
`ISOResource[]` | `getISOResourcesByISOName(ServerPool sp, java.lang.String isoName)` Get all registered iso resources by iso label name in one server pool
`java.lang.String` | `getOvfEnv(ServerPool svr_pool, java.lang.String vmName)` get ovf-env.xml content
`java.lang.String` | `getRepositoryLocation(ServerPool svr_pool)` Get the base location for importing resources
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, ISOResource ir)` Get the real path of the ISOResource
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, java.lang.String TemplateName)`
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, VirtualMachineTemplate tr)` Get the real path of the TemplateResource
`SharedVirtualDisk` | `getSharedDiskResource(java.lang.Long sharedDiskResourceID)` Returns the Shared Disk resource instance.
`SharedVirtualDisk` | `getSharedDiskResourceByName(ServerPool svr_pool, java.lang.String name)` Returns the Shared Disk resource instance, given the display name.
`VirtualMachineTemplate` | `getTemplateResource(java.lang.Long templateResourceId)` Returns the template resource instance.
`VirtualMachineTemplate` | `getTemplateResourceByName(ServerPool svr_pool, java.lang.String name)` Returns the template resource instance, given the display name.
`VirtualMachineImage` | `getVirtualMachineImagebyImageId(java.lang.Long imageId)` Get registered virtual macine image by image id
`VirtualMachineImage` | `getVirtualMachineImageByName(ServerPool serverPool, java.lang.String imageName)` Get registered virtual machine image by image name in one server pool
`VirtualMachineImage` | `getVMResourceByName(ServerPool svr_pool, java.lang.String name)` Returns the VMResource instance
`void` | `mountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)`
`void` | `moveToNfsLocation(ServerPool serverPool, java.lang.String filePath, oracle.ovs.biz.util.OvmUrl nfsLocation)` move to nfs location
`java.util.Map` | `parseVirtualMachineConfig(ServerPool serverPool, java.lang.String vmPath)` Pre-check the virtual machine config and returns the results as a map
`ISOResource` | `registerISO(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` Registers an ISO resource (available in a shared location on the server pool).
`java.util.Map` | `registerISOPrerequisite(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` precheck for registerISO
`SharedVirtualDisk` | `registerSharedDisk(ServerPool svr_pool, SharedVirtualDiskConfig sharedDiskResourceConfig)` Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
`VirtualMachineTemplate` | `registerTemplate(ServerPool serverPool, VirtualMachineTemplate vmt)` Registers a template resource (available in a shared location on the server pool).
`java.util.Map` | `registerTemplatePrerequisite(ServerPool svr_pool, VirtualMachineTemplate templateResourceConfig)` precheck for registerTemplate
`VirtualMachineImage` | `registerVM(ServerPool serverPool, VirtualMachineImage vmt)`
`void` | `setOvfEnv(ServerPool svr_pool, java.lang.String vmName, java.lang.String ovfContent)` set ovfenv.xml
`void` | `unmountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)`
`void` | `uploadTemplate(VirtualMachineTemplate template, oracle.ovs.biz.util.OvmUrl tgtUrl)` Upload template to an external NFS location.
`java.lang.Boolean` | `validateURL(ServerPool serverPool, ExternalResource externalResource)` validate remote url

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISO_POOL

    protected static final java.lang.String ISO_POOL

  See Also:
    Constant Field Values

### RUNNING_POOL

    protected static final java.lang.String RUNNING_POOL

  See Also:
    Constant Field Values

### SEED_POOL

    protected static final java.lang.String SEED_POOL

  See Also:
    Constant Field Values

### SHAREDDISK

    protected static final java.lang.String SHAREDDISK

  See Also:
    Constant Field Values

### log

    protected static java.util.logging.Logger log

Constructor Detail

### NeoResourceManagementImpl

    public NeoResourceManagementImpl()

Method Detail

### deleteISO

    public void deleteISO(java.lang.Long isoResourceID)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Deletes the ISO from server pool (physically also)
  Specified by:
    `deleteISO` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteSharedDisk

    public void deleteSharedDisk(java.lang.Long sharedDiskResourceID)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Deletes the Shared Disk from server pool (physically also)
  Specified by:
    `deleteSharedDisk` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteTemplate

    public void deleteTemplate(java.lang.Long templateResourceId)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Deletes the template from server pool (physically also)
  Specified by:
    `deleteTemplate` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMResource

    public void deleteVMResource(java.lang.Long vmResourceId)
                          throws oracle.ovs.biz.exception.ResourceException

  Description copied from interface: `NeoResourceManagement`
  Delete virtual machine image
  Specified by:
    `deleteVMResource` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.ResourceException`

### getAllDiscoverableISO

    public DiscoveredISO[] getAllDiscoverableISO(ServerPool svr_pool)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get unregistered iso files in one server pool
  Specified by:
    `getAllDiscoverableISO` in interface `NeoResourceManagement`
  Returns:
    discovered iso resources
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableTemplates

    public DiscoveredVirtualMachineTemplate[] getAllDiscoverableTemplates(ServerPool svr_pool)
                                                                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get unregistered virtual machine templates in one server pool
  Specified by:
    `getAllDiscoverableTemplates` in interface `NeoResourceManagement`
  Returns:
    discovered virtual machine templates
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOResources

    public ISOResource[] getAllISOResources(ServerPool svr_pool)
                                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered iso resources in one server pool
  Specified by:
    `getAllISOResources` in interface `NeoResourceManagement`
  Returns:
    iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllSharedDiskResources

    public SharedVirtualDisk[] getAllSharedDiskResources(ServerPool svr_pool)
                                                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered shared virtual disks
  Specified by:
    `getAllSharedDiskResources` in interface `NeoResourceManagement`
  Returns:
    shared virtual disk array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllTemplateResources

    public VirtualMachineTemplate[] getAllTemplateResources(ServerPool svr_pool)
                                                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered virtual machine templates
  Specified by:
    `getAllTemplateResources` in interface `NeoResourceManagement`
  Returns:
    virtual machine template array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResource

    public ISOResource getISOResource(java.lang.Long isoResourceID)
                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get registered iso resource by id
  Specified by:
    `getISOResource` in interface `NeoResourceManagement`
  Returns:
    found iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByName

    public ISOResource getISOResourceByName(ServerPool svr_pool,
                                            java.lang.String name)

  Description copied from interface: `NeoResourceManagement`
  Returns the ISO resource instance, given the display name.
  Specified by:
    `getISOResourceByName` in interface `NeoResourceManagement`
  Returns:

### getSharedDiskResource

    public SharedVirtualDisk getSharedDiskResource(java.lang.Long sharedDiskResourceID)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Returns the Shared Disk resource instance.
  Specified by:
    `getSharedDiskResource` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResourceByName

    public SharedVirtualDisk getSharedDiskResourceByName(ServerPool svr_pool,
                                                         java.lang.String name)
                                                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Returns the Shared Disk resource instance, given the display name.
  Specified by:
    `getSharedDiskResourceByName` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResource

    public VirtualMachineTemplate getTemplateResource(java.lang.Long templateResourceId)
                                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Returns the template resource instance.
  Specified by:
    `getTemplateResource` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResourceByName

    public VirtualMachineTemplate getTemplateResourceByName(ServerPool svr_pool,
                                                            java.lang.String name)
                                                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Returns the template resource instance, given the display name.
  Specified by:
    `getTemplateResourceByName` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISOPrerequisite

    public java.util.Map registerISOPrerequisite(ServerPool svr_pool,
                                                 ISOResourceConfig isoResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  precheck for registerISO
  Specified by:
    `registerISOPrerequisite` in interface `NeoResourceManagement`
  Returns:
    report
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISO

    public ISOResource registerISO(ServerPool svr_pool,
                                   ISOResourceConfig isoResourceConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Registers an ISO resource (available in a shared location on the server pool).
  Specified by:
    `registerISO` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### approveISO

    public ISOResource approveISO(java.lang.Long isoResourceId)
                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Approve pending iso resource
  Specified by:
    `approveISO` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerSharedDisk

    public SharedVirtualDisk registerSharedDisk(ServerPool svr_pool,
                                                SharedVirtualDiskConfig sharedDiskResourceConfig)
                                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
  Specified by:
    `registerSharedDisk` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplatePrerequisite

    public java.util.Map registerTemplatePrerequisite(ServerPool svr_pool,
                                                      VirtualMachineTemplate templateResourceConfig)

  Description copied from interface: `NeoResourceManagement`
  precheck for registerTemplate
  Specified by:
    `registerTemplatePrerequisite` in interface `NeoResourceManagement`
  Returns:
    report

### registerTemplate

    public VirtualMachineTemplate registerTemplate(ServerPool serverPool,
                                                   VirtualMachineTemplate vmt)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Registers a template resource (available in a shared location on the server pool).
  Specified by:
    `registerTemplate` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ApproveTemplate

    public VirtualMachineTemplate ApproveTemplate(java.lang.Long templateResourceId)
                                           throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `ApproveTemplate` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 VirtualMachineTemplate tr)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get the real path of the TemplateResource
  Specified by:
    `getResourceDirectory` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 java.lang.String TemplateName)
                                          throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getRepositoryLocation

    public java.lang.String getRepositoryLocation(ServerPool svr_pool)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get the base location for importing resources
  Specified by:
    `getRepositoryLocation` in interface `NeoResourceManagement`
  Parameters:
    `svr_pool` -
  Returns:
    Best location for importing resources
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 ISOResource ir)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get the real path of the ISOResource
  Specified by:
    `getResourceDirectory` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getAllVMResources

    public VirtualMachineImage[] getAllVMResources(ServerPool svr_pool)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered virtual machine images
  Specified by:
    `getAllVMResources` in interface `NeoResourceManagement`
  Returns:
    virtual machine image array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllImg

    public VirtualMachineImage[] getAllImg(ServerPool svr_pool)
                                    throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableVMs

    public DiscoveredVirtualMachineImage[] getAllDiscoverableVMs(ServerPool serverPool)
                                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get unregistered virtual machine images in one server pool
  Specified by:
    `getAllDiscoverableVMs` in interface `NeoResourceManagement`
  Returns:
    discovered virtual machine image info
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ApproveVMImage

    public VirtualMachineImage ApproveVMImage(java.lang.Long VMResourceId)
                                       throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `ApproveVMImage` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getVMResourceByName

    public VirtualMachineImage getVMResourceByName(ServerPool svr_pool,
                                                   java.lang.String name)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Returns the VMResource instance
  Specified by:
    `getVMResourceByName` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVirtualMachineImageByName

    public VirtualMachineImage getVirtualMachineImageByName(ServerPool serverPool,
                                                            java.lang.String imageName)
                                                     throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get registered virtual machine image by image name in one server pool
  Specified by:
    `getVirtualMachineImageByName` in interface `NeoResourceManagement`
  Returns:
    found virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerVM

    public VirtualMachineImage registerVM(ServerPool serverPool,
                                          VirtualMachineImage vmt)
                                   throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `registerVM` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.ResourceException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getOvfEnv

    public java.lang.String getOvfEnv(ServerPool svr_pool,
                                      java.lang.String vmName)
                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  get ovf-env.xml content
  Specified by:
    `getOvfEnv` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### setOvfEnv

    public void setOvfEnv(ServerPool svr_pool,
                          java.lang.String vmName,
                          java.lang.String ovfContent)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  set ovfenv.xml
  Specified by:
    `setOvfEnv` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    public java.util.Map freespace_validator(ServerPool svr_pool,
                                             int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  validator for free disk space for all repositories.
  Specified by:
    `freespace_validator` in interface `NeoResourceManagement`
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    public java.util.Map freespace_validator(ServerPool svr_pool,
                                             java.lang.String vmPath,
                                             int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  validator for free disk space for the repository where one vm locates
  Specified by:
    `freespace_validator` in interface `NeoResourceManagement`
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### mountISO_NFS

    public void mountISO_NFS(ServerPool svr_pool,
                             ISOResource iso,
                             java.lang.String mountPath,
                             java.lang.String hostname)
                      throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `mountISO_NFS` in interface `NeoResourceManagement`
  Parameters:
    `svr_pool` - serverPool
    `iso` - ISOResource
    `hostname` - (Default = "")
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unmountISO_NFS

    public void unmountISO_NFS(ServerPool svr_pool,
                               ISOResource iso,
                               java.lang.String mountPath,
                               java.lang.String hostname)
                        throws oracle.ovs.biz.exception.OVSException

  Specified by:
    `unmountISO_NFS` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### extractTemplateBinary

    public void extractTemplateBinary(ServerPool svr_pool,
                                      java.lang.String resourceLocation,
                                      java.lang.String fileLocation)
                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Extract the bundle to seed pool
  Specified by:
    `extractTemplateBinary` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadResource

    public void downloadResource(ServerPool serverPool,
                                 ResourceType resType,
                                 oracle.ovs.biz.util.OvmUrl srcUrl,
                                 ProxyServer proxyServer)
                          throws oracle.ovs.biz.exception.OVSException

  Download resource from an external location to a server pool. Resource should be a binary file rather than a folder.
  Parameters:
    `serverPool` -
    `resType` -
    `srcUrl` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadResourceDirectory

    public void downloadResourceDirectory(ServerPool serverPool,
                                          ResourceType resType,
                                          oracle.ovs.biz.util.OvmUrl srcUrl,
                                          ProxyServer proxyServer)
                                   throws oracle.ovs.biz.exception.OVSException

  Download resource from an external location to a server pool. Resource should be a foler rather than a binary file.
  Parameters:
    `serverPool` -
    `resType` -
    `srcUrl` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### uploadTemplate

    public void uploadTemplate(VirtualMachineTemplate template,
                               oracle.ovs.biz.util.OvmUrl tgtUrl)
                        throws oracle.ovs.biz.exception.OVSException

  Upload template to an external NFS location.
  Specified by:
    `uploadTemplate` in interface `NeoResourceManagement`
  Parameters:
    `template` -
    `tgtUrl` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadBinary

    public void downloadBinary(ServerPool serverPool,
                               oracle.ovs.biz.util.OvmUrl binaryUrl,
                               java.lang.String localFilePath,
                               ProxyServer proxyServer)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  download external resource
  Specified by:
    `downloadBinary` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### moveToNfsLocation

    public void moveToNfsLocation(ServerPool serverPool,
                                  java.lang.String filePath,
                                  oracle.ovs.biz.util.OvmUrl nfsLocation)
                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  move to nfs location
  Specified by:
    `moveToNfsLocation` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### parseVirtualMachineConfig

    public java.util.Map parseVirtualMachineConfig(ServerPool serverPool,
                                                   java.lang.String vmPath)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Pre-check the virtual machine config and returns the results as a map
  Specified by:
    `parseVirtualMachineConfig` in interface `NeoResourceManagement`
  Returns:
    Map<item, result>
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateURL

    public java.lang.Boolean validateURL(ServerPool serverPool,
                                         ExternalResource externalResource)
                                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  validate remote url
  Specified by:
    `validateURL` in interface `NeoResourceManagement`
  Returns:
    Boolean.TRUE if the url validation is successful, or Boolean.FALSE
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadResource

    public void downloadResource(ServerPool serverPool,
                                 java.lang.String resName,
                                 java.lang.String groupName,
                                 ExternalResource externalResource)
                          throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOGroups

    public java.lang.String[] getAllISOGroups(ServerPool serverPool)
                                       throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get registered iso resource groups in one server pool
  Specified by:
    `getAllISOGroups` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getImportType

    public java.lang.String getImportType(ServerPool serverPool,
                                          java.lang.String vmPath)
                                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  return ovm or v2v type
  Specified by:
    `getImportType` in interface `NeoResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVirtualMachineImagebyImageId

    public VirtualMachineImage getVirtualMachineImagebyImageId(java.lang.Long imageId)
                                                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get registered virtual macine image by image id
  Specified by:
    `getVirtualMachineImagebyImageId` in interface `NeoResourceManagement`
  Returns:
    found virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByGroupNameAndISOName

    public ISOResource getISOResourceByGroupNameAndISOName(ServerPool sp,
                                                           java.lang.String groupName,
                                                           java.lang.String isoName)
                                                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get iso resource by iso group name and iso label name
  Specified by:
    `getISOResourceByGroupNameAndISOName` in interface `NeoResourceManagement`
  Returns:
    found iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourcesByGroupName

    public ISOResource[] getISOResourcesByGroupName(ServerPool sp,
                                                    java.lang.String groupName)
                                             throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered iso resources in a group of one server pool
  Specified by:
    `getISOResourcesByGroupName` in interface `NeoResourceManagement`
  Returns:
    found iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourcesByISOName

    public ISOResource[] getISOResourcesByISOName(ServerPool sp,
                                                  java.lang.String isoName)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Get all registered iso resources by iso label name in one server pool
  Specified by:
    `getISOResourcesByISOName` in interface `NeoResourceManagement`
  Returns:
    found iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByGroupNameAndISOFileName

    public ISOResource getISOResourceByGroupNameAndISOFileName(ServerPool sp,
                                                               java.lang.String groupName,
                                                               java.lang.String isoFileName)
                                                        throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalVirtualMachineTemplate

    public void cancelExternalVirtualMachineTemplate(java.lang.Long templateId)
                                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Cancel an importing external virtual machine template
  Specified by:
    `cancelExternalVirtualMachineTemplate` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalVirtualMachineImage

    public void cancelExternalVirtualMachineImage(java.lang.Long imageId)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Cancel an importing external virtual machine image
  Specified by:
    `cancelExternalVirtualMachineImage` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalISO

    public void cancelExternalISO(java.lang.Long isoResourceId)
                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `NeoResourceManagement`
  Cancel an importing external iso resource
  Specified by:
    `cancelExternalISO` in interface `NeoResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.